## x265enc x265enc |

## Properties

guint | bitrate | Read / Write
GstX265LogLevel | log-level | Read / Write
gchar * | option-string | Read / Write
gint | qp | Read / Write
GstX265SpeedPreset | speed-preset | Read / Write
GstX265Tune | tune | Read / Write

## Types and Values

struct | GstX265Enc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstX265Enc

## Implemented Interfaces

GstX265Enc implements GstPreset.

## Description

This element encodes raw video into H265 compressed data.

## Synopsis

### Element Information

plugin | x265
author | Thijs Vermeir <thijs.vermeir@barco.com>
class | Codec/Encoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, Y444, I420_10LE, Y444_10LE }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 4, 2147483647 ], height=(int)[ 4, 2147483647 ]

name | src
direction | source
presence | always
details | video/x-h265, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 4, 2147483647 ], height=(int)[ 4, 2147483647 ], stream-format=(string)byte-stream, alignment=(string)au, profile=(string){ main }

## Functions

## Types and Values

### struct GstX265Enc

    struct GstX265Enc;

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

Bitrate in kbit/sec.

Flags: Read / Write

Allowed values: [1,102400]

Default value: 2048

### The `“log-level”` property

      “log-level”                GstX265LogLevel

x265 log level.

Flags: Read / Write

Default value: No logging

### The `“option-string”` property

      “option-string”            gchar *

String of x265 options (overridden by element properties) in the format "key1=value1:key2=value2".

Flags: Read / Write

Default value: ""

### The `“qp”` property

      “qp”                       gint

QP for P slices in (implied) CQP mode (-1 = disabled).

Flags: Read / Write

Allowed values: [G_MAXULONG,51]

Default value: -1

### The `“speed-preset”` property

      “speed-preset”             GstX265SpeedPreset

Preset name for speed/quality tradeoff options.

Flags: Read / Write

Default value: medium

### The `“tune”` property

      “tune”                     GstX265Tune

Preset name for tuning options.

Flags: Read / Write

Default value: ssim